Summary:	Gettext translation file editor
Name:		poedit
Version:	1.3.7
Release:	%mkrel 1
License:	MIT
Group:		Editors
URL:		http://www.poedit.org
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot
Requires:	gettext
BuildRequires:	wxgtku-devel >= 2.8
BuildRequires:	libdb4.5-devel
BuildRequires:	gtkspell-devel
BuildRequires:	zip
BuildRequires:	desktop-file-utils
Requires(Pre):	shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
poEdit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%prep
%setup -q

%build
# wx-config is brain-damaged. Damn you, multiarch, damn you
%configure2_5x --with-wx-config=%{_bindir}/wx-config-unicode
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# remove files not bundled
%__rm -f %{buildroot}/%{_iconsdir}/poedit.xpm

# (Abel) 1.3.3-1mdk Fix(?) locale file paths
pushd %{buildroot}%{_datadir}/locale
%__mv af_ZA af
%__mv zh_CN zh
%__mv zh_TW zh
%__mv sq_AL sq
popd

%find_lang %{name}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS COPYING TODO docs/technote.txt
%dir %{_datadir}/poedit
%{_bindir}/poedit
%{_iconsdir}/*
%{_mandir}/man1/*
%{_datadir}/poedit/help/*
%{_datadir}/poedit/icons/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*


%changelog
* Tue Jul 10 2007 Funda Wang <fundawang@mandriva.org> 1.3.7-1mdv2008.0
+ Revision: 50799
- BR wxgtku 2.8
- BR gtk2.6-devel
- New version


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.3.6-3mdv2007.0
+ Revision: 131942
- build with wxgtk2.8 and db4.5

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.3.6-2mdv2007.1
+ Revision: 100704
- rebuild

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.6-1mdv2007.1
+ Revision: 90147
- New version 1.3.6
- Drop patch0
  xdg menu

  + Lenny Cartier <lenny@mandriva.com>
    - Import poedit

* Sat Nov 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.4-2mdk
- rebuild against libcairo2
- macroszification

* Wed Oct 05 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.4-1mdk
- 1.3.4

* Wed Jul 06 2005 Abel Cheung <deaddog@mandriva.org> 1.3.3-2mdk
- Make sure to build with wxGTK 2.6 with unicode support
- makeinstall_std
- Drop semistatic support, never tested and broken for ages
- Use source bundled icons, which are much clearer
- Patch0: Avoid detection of GNOME/KDE desktop. Install desktop
  stuff manually to avoid annoying GNOME 1.x / KDE dependency

* Tue Jun 28 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.3-1mdk
- 1.3.3
- use mkrel

* Sat Jan 29 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.2-1mdk
- 1.3.2

* Thu Sep 16 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.1-1mdk
- 1.3.1
- removed P0
- makeinstall instead of makeinstall_std
- build with gtkspell
- fixed menu section

* Wed Sep 08 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.0-1mdk
- 1.3.0
- this version is a little bit broken, there is some known nasty bugs which
  will be fixed in 1.3.1 available soon
- added temporary P0 which allow build poedit with wxGTK2.5.1 (thanks for patch
  to Vaclav Slavik)
- improved icons installation

* Tue Jun 08 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.5-2mdk
- rebuild with libstdc++6
- some macroszification, update section

